<?php
require_once('DataObjectBase.class.php');

/**
 * TransactionRequestData クラス
 */
class TransactionRequestData extends DataObjectBase
{
	/**
	 * 既定メンバーの名前のリスト
	 */
	protected $_propertynames = array(
		// 必須
		'MERCHANTID',
		'MERCHANTPW',
		'PAYMENTTYPE',
		// Sale
		'CRDNUM',
		'CRDEXP',
		'FIRSTNAME',
		'LASTNAME',
		'AMOUNT',
		'CURRENCY',
		// transid
		'TRANSID',		// ＧＷシステムコード
		'ORIGID',		// 決済システムコード
		// Optional
		'COMPANY',
		'ADDRESSEX1',
		'ADDRESSEX2',
		'PHONE',
		'COMMENT1',
		'COMMENT2',
	);
}

/* End of file */