<?php  if (!defined('BASEPATH')) exit('No direct script access allowed');
require_once(APPPATH.'classes/ci_extend_libraries/DatabaseTableModelBase.abstract.php');
require_once(APPPATH.'classes/constants/ConstStatus.interface.php');

/**
 * MerchantTblModel クラス
 */
class MerchantTblModel extends DatabaseTableModelBase
{
	/**
	 * テーブル名
	 * @abstract
	 */
	protected $_tablename = 'merchant_tbl';
	/**
	 * @var ユニークキー表すフィールド名
	 */
	protected $_unique_fields = array(
		'loginid',
	);

	/**
	 * コンストラクタ
	 */
    public function __construct()
    {
        parent::__construct();
    }
	/**
	 *
	 */
	public function getAccount($loginid, $passwd, $enableonly = true)
	{
		// 条件
		$where['loginid']	= $loginid;
		$where['passwd']	= $passwd;
		if($enableonly)
			$datas['enable']	= ConstStatus::ENABLE;
		// SELECT
		$res = $this->getRow($where);
		if(!empty($res))
			return $this->createRowObject($res);
		else
			return null;
	}
}

/* End of file */