<?php  if (!defined('BASEPATH')) exit('No direct script access allowed');
require_once(APPPATH.'classes/ci_extend_libraries/HttpRequestParserModelBase.abstract.php');
require_once(APPPATH.'classes/dataobjects/TransactionResultData.class.php');

/**
 * TransidTransactionModel クラス
 */
class TransidTransactionModel extends HttpRequestParserModelBase
{
	/**
	 * @var array[] 妥当性検査情報の配列
	 * @abstract
	 */
	protected $_validation_rules = array(
		'MERCHANTID'	=> array('trim|xss_clean|required', TransactionResultData::INVALID_MERCHANTID),
		'MERCHANTPW'	=> array('trim|xss_clean|required', TransactionResultData::INVALID_MERCHANTPW),
		'TRANSID'		=> array('trim|xss_clean|required|alpha_numeric', TransactionResultData::INVALID_ORIGID),
	);
}

/* End of file */