<?php
require_once('DataObjectBase.class.php');

/**
 * TransactionSubmitData クラス
 */
class TransactionSubmitData extends DataObjectBase
{
	/**
	 * http リクエストオブジェクトを解析してメンバーをセットします。
	 * デフォルトは単純コピーです。
	 *
	 * @param TransactionRequestData $obj http リクエストオブジェクト
	 * @param mixed $options 継承クラス用追加オプション
	 * @return void
	 */
	public function parseRequestObject($obj, $options = null)
	{
		$this->parseArray($obj->toArray($this->_propertynames));
	}
}

/* End of file */