<?php
require_once(APPPATH.'classes/dataobjects/TransactionResponseData.class.php');
require_once(APPPATH.'classes/dataobjects/TransactionResultData.class.php');

/**
 * PayvisionResponseData クラス
 */
class PayvisionResponseData extends TransactionResponseData
{
	/**
	 * 既定メンバーの名前のリスト
	 */
	protected $_propertynames = array(
		// main
		'Result'	=> 'Result',
		'Message'	=> 'Message',
		'TrackingMemberCode'	=> 'TrackingMemberCode',
		'TransactionId'			=> 'TransactionId',
		'TransactionGuid'		=> 'TransactionGuid',
		'TransactionDateTime'	=> 'TransactionDateTime',
		// extra
		'Cdc'			=> 'Cdc',
		'Recovered'		=> 'Recovered',
	);
	/**
	 * コンストラクタ
	 */
	public function __construct($datas = array())
	{
		parent::__construct($datas);
	}
	/**
	 * TODO2: getPublicResultCode()
	 */
	public function getPublicResultCode()
	{
		$res = null;
		//
		if($this->Result == 0)
			$res = TransactionResultData::APPROVED;
		elseif($this->Result > 0)
			$res = $this->Result + 30000;
		//
		return $res;
	}
	/**
	 *
	 */
	public function getPublicResultMessage()
	{
		return $this->Message;
	}
	/**
	 *
	 */
	public function getOriginalTransactionCode()
	{
		return sprintf("%d;%s", $this->TransactionId, $this->TransactionGuid);
	}
	/**
	 *
	 */
	public function isSucceed()
	{
		return $this->RESULT == 0;
	}
	/**
	 *
	 */
	public function isAvailableVoid()
	{
		//
		$res = true;
		//
		return $res;
	}
}

/* End of file */